List webhooks for an agent
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"webhook_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"events": [],
"is_active": true,
"has_secret": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"count": 123,
"limit": 5
}
}Agents
List webhooks for an agent
Returns webhooks configured for one agent. Use this to see which event notifications are delivered for the agent and whether each webhook is active. Each agent can have up to 5 webhooks.
GET
/
api
/
v1
/
agents
/
{uuid}
/
webhooks
List webhooks for an agent
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
⌘I